Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.pki.x509
Class X509SerializerImpl

    java.lang.Object
      org.mpisws.p2p.pki.x509.X509SerializerImpl

All Implemented Interfaces:
  X509Serializer, Serializer<java.security.cert.X509Certificate>

    public class X509SerializerImpl

extends java.lang.Object
implements X509Serializer

Constructor Summary
`X509SerializerImpl()`

Method Summary
`java.security.cert.X509Certificate` | `deserialize(InputBuffer buf)`
`void` | `serialize(java.security.cert.X509Certificate cert, OutputBuffer buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509SerializerImpl

    public X509SerializerImpl()
                       throws java.security.cert.CertificateException,
                              java.security.NoSuchProviderException

Throws:
  `java.security.cert.CertificateException`
  `java.security.NoSuchProviderException`

Method Detail

### serialize

    public void serialize(java.security.cert.X509Certificate cert,
                          OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `Serializer<java.security.cert.X509Certificate>`
  Throws:
    `java.io.IOException`

### deserialize

    public java.security.cert.X509Certificate deserialize(InputBuffer buf)
                                                   throws java.io.IOException

  Specified by:
    `deserialize` in interface `Serializer<java.security.cert.X509Certificate>`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.